package cn.superdesk.uniorder.service.operationCenter.impl;

import cn.superdesk.uniorder.dao.entity.operationCenter.UnifiedPaymentCustomer;
import cn.superdesk.uniorder.dao.mapper.operationCenter.UnifiedPaymentCustomerMapper;
import cn.superdesk.uniorder.service.operationCenter.OperationCenterPaymentCustomerService;
import com.github.pagehelper.PageInfo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/4/12 10:23
 * Description :
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class OperationCenterPaymentCustomerServiceImpl implements OperationCenterPaymentCustomerService {
    private final UnifiedPaymentCustomerMapper unifiedPaymentCustomerMapper;
    @Override
    public int insertSelective(UnifiedPaymentCustomer unifiedPaymentCustomer) {
        return unifiedPaymentCustomerMapper.insertSelective(unifiedPaymentCustomer);
    }

    @Override
    public int updateByPrimaryKeySelective(UnifiedPaymentCustomer unifiedPaymentCustomer) {
        return unifiedPaymentCustomerMapper.updateByPrimaryKeySelective(unifiedPaymentCustomer);
    }

    @Override
    public void deleteObj(Long id) {
        unifiedPaymentCustomerMapper.deleteByPrimaryKey(id);
    }

    @Override
    public UnifiedPaymentCustomer findById(Long id) {
        return unifiedPaymentCustomerMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<UnifiedPaymentCustomer> findAll(Map<String, Object> queryMap) {
        return null;
    }

    @Override
    public PageInfo<UnifiedPaymentCustomer> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {
        return null;
    }

    @Override
    public void deleteByPaymentId(Long paymentId) {
        unifiedPaymentCustomerMapper.deleteByPaymentId(paymentId);
    }
}
